<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
  package="id.meetu.meetu">

  <application
    android:allowBackup="true"
    android:icon="@mipmap/ic_launcher_meetu"
    android:label="@string/app_name"
    android:largeHeap="true"
    android:roundIcon="@mipmap/ic_launcher_meetu"
    android:supportsRtl="true"
    android:theme="@style/AppTheme">
    <activity android:name=".module.splash.view.SplashScreenActivity">
      <intent-filter>
        <action android:name="android.intent.action.MAIN"/>

        <category android:name="android.intent.category.LAUNCHER"/>
      </intent-filter>
    </activity>
    <activity android:name=".module.meetup.view.activity.AddMeetupActivity">
    </activity>
    <activity android:name=".module.auth.view.RegisterActivity">
    </activity>
    <activity android:name=".module.auth.view.LoginActivity">
    </activity>
    <activity android:name=".module.notification.view.activity.NotificationActivity">
    </activity>
    <activity android:name=".module.group.view.activity.GroupActivity">
    </activity>
    <activity android:name=".module.home.view.activity.HomeActivity">
    </activity>
    <activity android:name=".module.schedule.view.ScheduleActivity">
    </activity>
    <activity
      android:name=".module.profile.view.activity.ProfileActivity"
      android:windowSoftInputMode="adjustPan">
    </activity>

    <service
      android:name=".firebase.CustomFirebaseMessagingService">
      <intent-filter>
        <action android:name="com.google.firebase.MESSAGING_EVENT"/>
      </intent-filter>
    </service>
    <service
      android:name=".firebase.CustomFirebaseInstanceIdService">
      <intent-filter>
        <action android:name="com.google.firebase.INSTANCE_ID_EVENT"/>
      </intent-filter>
    </service>
  </application>

  <uses-permission android:name="android.permission.INTERNET"/>
  <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE"/>
</manifest>
